/*
 *This code is a mashup between the TrinketKeyboard from adafruit
 *and the ps/2 keyboard lib, with a bit of changes to both
 *
 *code by Mario Avenoso, mario@mtechcreations.com
 */
#include <TrinketKeyboardlite.h>
#include <PS2Keyboardt.h>


const int DataPin = 0;//8;//pin is 0
const int IRQpin =  0;//1;//not a pin but the interupt, pin is 2

PS2Keyboardt keyboard;



void setup()
{
delay(1000);

keyboard.begin(DataPin, IRQpin);

// start USB stuff
TrinketKeyboard.begin();


}

void loop()
{
TrinketKeyboard.poll();
// the poll function must be called at least once every 10 ms
// or cause a keystroke
// if it is not, then the computer may think that the device
// has stopped working, and give errors
  /* add main program code here */

if (keyboard.available()) {
	
	// read the next key
	char c = keyboard.read2();

  TrinketKeyboard.pressKey(0,c);//send scan code
	TrinketKeyboard.pressKey(0,0,0);//release key

  }

}
